
From: Shaohua Li <shaohua.li@intel.com>

We should flush cache at CPU hotplug.  An error has been observed data is
corrupted after CPU hotplug in CPUs with bigger cache.

Signed-off-by: Shaohua.li<shaohua.li@intel.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/kernel/process.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN arch/i386/kernel/process.c~cpu-state-clean-after-hot-remove-fix-2 arch/i386/kernel/process.c
--- 25/arch/i386/kernel/process.c~cpu-state-clean-after-hot-remove-fix-2	2005-06-09 23:50:31.000000000 -0700
+++ 25-akpm/arch/i386/kernel/process.c	2005-06-09 23:50:31.000000000 -0700
@@ -153,6 +153,7 @@ static inline void play_dead(void)
 {
 	/* This must be done before dead CPU ack */
 	cpu_exit_clear();
+	wbinvd();
 	mb();
 	/* Ack it */
 	__get_cpu_var(cpu_state) = CPU_DEAD;
_
